#include<stdio.h>
#include<stdlib.h>
main()
{
	long int t, i, j, c, m, n;
	scanf("%lld",&t);
	
	for(c=0;c<t;c++)
	{
		scanf("%ld%ld",&n,&m);
	long int l[n*sizeof(long int)][m*sizeof(long int)];
	long int u[n*sizeof(long int)][m*sizeof(long int)];
		for(i=0;i<n;i++)
		for(j=0;j<m;j++)
		scanf("%ld",&l[i][j]);
		for(i=0;i<n;i++)
		for(j=0;j<m;j++)
		scanf("%ld",&u[i][j]);
	}
	printf("NE");
}